Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.log
Class LogTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.component.ComponentTag
              com.tonbeller.wcf.log.LogTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class LogTag
extends ComponentTag

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LogTag()`

Method Summary
`Component` | `createComponent(RequestContext context)` loads a form from an xml file and registeres it with the controller.
`void` | `setLogDir(java.lang.String logDir)` Sets the logDir.
`void` | `setXmlUri(java.lang.String xmlUri)`

Methods inherited from class com.tonbeller.wcf.component.ComponentTag
`doEndTag, doStartTag, getComponent, isObjectCreated, setRole, setValidate, setVisible`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogTag

    public LogTag()

Method Detail

### createComponent

    public Component createComponent(RequestContext context)
                              throws javax.servlet.jsp.JspException

  loads a form from an xml file and registeres it with the controller.

  Specified by:
    `createComponent` in class `ComponentTag`
  Returns:
    the object that will be placed into the session
  Throws:
    `javax.servlet.jsp.JspException`

### setXmlUri

    public void setXmlUri(java.lang.String xmlUri)

### setLogDir

    public void setLogDir(java.lang.String logDir)

  Sets the logDir.

  Parameters:
    `logDir` - The logDir to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD